package com.gic.haoban.manage.service.service;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.OpenStaffListDTO;
import com.gic.haoban.manage.api.qdto.OpenStaffPageQDTO;
import com.gic.haoban.manage.service.entity.TabOpenStaff;

import java.util.List;

public interface OpenStaffService {

    public TabOpenStaff save(TabOpenStaff tab) ;

    public TabOpenStaff getByUUID(String uuid) ;

    public void logout(String uuid, String loginRemark, int step , String noticeReason) ;

    ServiceResponse<Page<OpenStaffListDTO>> page(OpenStaffPageQDTO qdto, BasePageInfo basePageInfo);

    List<String> listAllStaffId(String wxEnterpriseId) ;
}
